package com.sx.enum_uc.switchyard;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;
import java.util.Properties;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

import com.sx.enum_ux.switchyard.Flow;

@Service(UcFlowService.class)
public class UcFlowServiceBean implements UcFlowService {


	@Inject
	@Reference
	PutFlowInEsb putFlowInEsb;

	/**
	 * 
	 */
	@Override
	public void processFlowMessage(Flow flow) {
		putFlowInEsb.enqueueFlowData(flow);
	}
}
